Loading...
Searching...
No Matches
bvector.hh File Reference

This file implements a vector space as a tensor product of a given vector space. The number of components can be given at run-time. More...

`#include <algorithm>`
`#include <cmath>`
`#include <complex>`
`#include <initializer_list>`
`#include <limits>`
`#include <memory>`
`#include <utility>`
`#include <vector>`
`#include <dune/common/dotproduct.hh>`
`#include <dune/common/ftraits.hh>`
`#include <dune/common/fmatrix.hh>`
`#include <dune/common/fvector.hh>`
`#include <dune/common/promotiontraits.hh>`
`#include <dune/common/typetraits.hh>`
`#include <dune/common/scalarvectorview.hh>`
`#include <dune/istl/blocklevel.hh>`
`#include "basearray.hh"`
`#include "istlexception.hh"`

Go to the source code of this file.

## Classes

class | Dune::BlockVector< B, A >
| A vector of blocks with memory management. More...
struct | Dune::FieldTraits< BlockVector< B, A > >

## Namespaces

namespace | Dune

## Functions

template<class K, class A>
std::ostream & | Dune::operator<< (std::ostream &s, const BlockVector< K, A > &v)
| Send BlockVector to an output stream.

## Detailed Description

This file implements a vector space as a tensor product of a given vector space. The number of components can be given at run-time.